{% extends 'app1/base.html' %}
{% block style %}
<style type="text/css">
    .jumbotron {
        background-image: url('https://images.unsplash.com/photo-1502307444187-44d62a6a80af?ixlib=rb-0.3.5&q=50&fm=jpg&crop=entropy&cs=tinysrgb&w=720&fit=max&s=583de05d54a0254f5b6b0c9da6cfa317');
        height: 560px;
    }

    .container-header {
        color: azure;
        margin: 5rem;
    }
</style>
{% endblock %}

{% block bodyblock %}
<div class="jumbotron jumbotron-fluid">
    <div class="container-fluid">
        <div class="container-header">
            <h1 class="display-4">Hello, {{nama}}!</h1>
            <h3 class="lead">How's your day?</h3>
            <hr class="my-4">
            <p>What do you want to do?</p>
            <a class="btn btn-secondary btn-md" href="/arrangement" role="button">Arrange New Schedule</a>
            <a class="btn btn-secondary btn-md" href="#jump" role="button">Check Tomorrow's Schedule</a>
        </div>
    </div>
</div>
<div id="jump" class="tomorrowschedule">
    <div class="card text-center mb-4">
        <div class="card-header">
            Featured
        </div>
        <div class="card-body">
            <h5 class="card-title">Here are your schedules for tomorrow</h5>
            <p class="card-text">With supporting text below as a natural lead-in to additional content.</p>
            <a href="#" class="btn btn-primary">Go somewhere</a>
        </div>
        <div class="card-footer text-muted">
        </div>
    </div>
    <div class="row row-cols-1 row-cols-lg-3">
        {% for schedule in schedules %}
        {% if schedules.count != 0 %}
        <div class="col mb-4 ml-4">
            <div class="card-header text-center">
                <h5 class="card-title">{{ schedule.mata_kuliah }}</h5>
            </div>
            <div class="card-body">

                <p class="card-text">
                    Dosen : {{ schedule.dosen_pengajar }} <br>
                    Jumlah sks : {{ schedule.jumlah_sks }} <br>
                </p>
                <center><a class="btn btn-primary btn-lg" href="{% url 'app1:detail' schedule.id %}"
                        role="button">Detail</a></center>
            </div>
        </div>
        {% else %}
        <p class="card-text">You have no schedule for tomorrow</p>
        {% endif %}
        {% endfor %}
    </div>
</div>
{% endblock %}